Data Structures | Functions | Variables

# newgrf_airport.cpp File Reference

NewGRF handling of airports. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "date_func.h"`
`#include "newgrf_spritegroup.h"`
`#include "newgrf_text.h"`
`#include "station_base.h"`
`#include "newgrf_class_func.h"`

Go to the source code of this file.

## Data Structures
struct | AirportScopeResolver
| Resolver for the airport scope. More...
struct | AirportResolverObject
| Resolver object for airports. More...
## Functions
void | BindAirportSpecs ()
| Tie all airportspecs to their class.
SpriteID | GetCustomAirportSprite (const AirportSpec *as, byte layout)
uint16 | GetAirportCallback (CallbackID callback, uint32 param1, uint32 param2, Station *st, TileIndex tile)
StringID | GetAirportTextCallback (const AirportSpec *as, byte layout, uint16 callback)
| Get a custom text for the airport.
## Variables
AirportOverrideManager | _airport_mngr (NEW_AIRPORT_OFFSET, NUM_AIRPORTS, AT_INVALID)

## Detailed Description

NewGRF handling of airports.

Definition in file newgrf_airport.cpp.

## Function Documentation

StringID GetAirportTextCallback | ( | const AirportSpec * | as,
|  | byte | layout,
|  | uint16 | callback |
| ) |  |  |

Get a custom text for the airport.

Parameters:

  | as | The airport type's specification.
  | layout | The layout index.
  | callback | The callback to call.

Returns:
  The custom text.

Definition at line 283 of file newgrf_airport.cpp.

References CALLBACK_FAILED, ErrorUnknownCallbackResult(), GetGRFStringID(), AirportSpec::GetIndex(), AirportSpec::grf_prop, GRFFilePropsBase< Tcnt >::grffile, INVALID_TILE, SpriteGroup::Resolve(), and GRFFilePropsBase< Tcnt >::spritegroup.

Referenced by BuildAirportWindow::DrawWidget(), BuildAirportWindow::SetStringParameters(), and BuildAirportWindow::UpdateWidgetSize().